################################################################################
##                                                                            ##
## ------------ ANNOUNCEMENTS ----------------------------------------------- ##
##                                                                            ##
## DEVELOPED BY: .craziesT                                                    
##                                                                            
## DESCRIPTION: Displays messages set by the server owner to the server.
##

import es
from rankme import rankme

mainaddon_path = rankme.addon_path
aconfig = mainaddon_path + '/config/announcements.txt'
a = {}

def load():
    parse()

def parse():
    file = open(aconfig, 'r')
    lines = file.readlines()
    for line in filter(lambda line: not line.startswith('//') and not line.startswith('\n'), lines):
        split = line.split("|")
        if split:
            if len(split) == 3:
                a[str(split[0].strip())] = {'message' : str(split[1].strip().replace('"', '')), 'freq' : int(split[2].strip().replace('"', ''))}
                
    for name in a:
        rankme.addAnnounce(name, a[name]['freq'], a[name]['message'])
        
